Bug 1790189 - libvirt should not use usb bus on s390x by default for devices declared via <input> tags
Summary: libvirt should not use usb bus on s390x by default for devices declared via <...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: libvirt
Version: 8.2
Hardware: s390x
OS: Linux
low
low
Target Milestone: rc
: 8.3
Assignee: Michal Privoznik
QA Contact: smitterl
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-12 12:28 UTC by Thomas Huth
Modified: 2020-11-04 02:54 UTC (History)
7 users (show)

Fixed In Version: libvirt-6.0.0-17.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 02:53:03 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4676 0 None None None 2020-11-04 02:54:00 UTC

Description Thomas Huth 2020-01-12 12:28:04 UTC
Description of problem:
When adding an input device without bus, libvirt currently tries to assign it to an usb bus which does not exist on s390x. libvirt should put it on the virtio bus on s390x instead.

Version-Release number of selected component (if applicable):
libvirt-4.5.0-36.module+el8.2.0+4817+92ef2d83.s390x

How reproducible:
100%

Steps to Reproduce:
1. virsh edit guestname
2. Add this tag (without bus):
   <input type='keyboard'/>

Actual results:
error: unsupported configuration: USB is disabled for this domain, but USB devices are present in the domain XML

Expected results:
An input type='keyboard' device gets added successfully with bus='virtio'.

Comment 1 smitterl 2020-01-12 15:46:29 UTC
Reproduced with
libvirt-4.5.0-37.module+el8.2.0+5221+0a85e35d.s390x

Steps
1. virsh edit guestname
2. Add this tag (without bus):
   <input type='keyboard'/>

Results:
error: unsupported configuration: USB is disabled for this domain, but USB devices are present in the domain XML
Failed. Try again? [y,n,i,f,?]:

Comment 2 Michal Privoznik 2020-01-13 12:49:02 UTC
Pushed upstream as:

177fbcdfaa domain_conf: Do not use USB by default for <input> devices on s390x

v6.0.0-rc1-15-g177fbcdfaa

Comment 3 Michal Privoznik 2020-01-13 13:43:06 UTC
Moving to POST per comment 2.

Comment 6 smitterl 2020-06-09 16:51:00 UTC
Verified with:
libvirt-6.0.0-17.module+el8.3.0+6423+e4cb6418.s390x

Steps
1. virsh edit guestname
2. Add this tag (without bus):
   <input type='keyboard'/>
3. virsh dumpxml|grep keyboard
==>
    <input type='keyboard' bus='virtio'>

Comment 9 errata-xmlrpc 2020-11-04 02:53:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: virt:rhel and virt-devel:rhel security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4676


Note You need to log in before you can comment on or make changes to this bug.